---
type: api
title: Get a saved object
description: WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
url: https://www.elastic.co/docs/api/doc/kibana/operation/operation-get-saved-objects-type-id
resource: https://www.elastic.co/docs/api/doc/kibana/operation/operation-get-saved-objects-type-id
products:
  - Kibana
---

# Get a saved object

deprecated

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/saved_objects/{type}/{id}`
- `GET` `/s/{space_id}/api/saved_objects/{type}/{id}`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.
- `type` (string · max length: 256) — required
  The saved object type.
- `id` (string · max length: 512) — required
  The saved object identifier.

## Description

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieves a single Kibana saved object by type and ID.

For transferring or backing up saved objects, prefer the export API (`POST /api/saved_objects/_export`).

## Responses

#### `200`

A saved object.

`application/json`

#### `400`

A bad request.

`application/json`

## Code examples

#### Console

```console
GET kbn://api/saved_objects/dashboard/example-dashboard-1
```

#### curl

```curl
curl \
  -X GET "${KIBANA_URL}/api/saved_objects/dashboard/example-dashboard-1" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### A saved object

`application/json`

```json
{
  "attributes": {
    "title": "Example dashboard 1"
  },
  "id": "example-dashboard-1",
  "managed": false,
  "namespaces": [
    "default"
  ],
  "references": [],
  "type": "dashboard",
  "updated_at": "2026-04-17T12:00:00.000Z",
  "version": "WzEsMV0="
}
```

#### A bad request error

`application/json`

```json
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}
```

